Bug 884112 - Bibus crash on finalize citations
Summary: Bibus crash on finalize citations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bibus
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 16:48 UTC by Glenn L. Jenkins
Modified: 2013-08-01 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 10:48:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Glenn L. Jenkins 2012-12-05 16:48:55 UTC
Description of problem:

Strange crash when finalising references.  Using Bibus 1.5.1 hooked up to LibreOffice writer 3.5.7.2. Inserting references, updating bibliography etc. all works fine however when finalizing progress bar stops at "indexing references".  Launching from a console window produces:

Traceback (most recent call last):
File "/usr/share/bibus/BibFrame.py", line 1632, in onMenuOOoFinalize
self.doc.finalize()
File "/usr/share/bibus/OOo.py", line 96, in finalize
bibOOoPlus.finalize(self,msg.Update)
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 105, in finalize
bibOOoBase.finalize(self,messages = messages, cit_sort=cit_sort,cit_fuse=cit_fuse,cit_range=cit_range,cit_separator=cit_separator,cit_order=cit_order,cit_asc=cit_asc)
File "/usr/share/bibus/bibOOo/bibOOoBase.py", line 792, in finalize
self.freezeCitations(messages = messages,**kwds)
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 89, in freezeCitations
self.__author_date(messages) # new author-date format
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 371, in __author_date
refs=self.getCitations(order='document')# refs in the text order
File "/usr/share/bibus/bibOOo/bibOOoBase.py", line 347, in getCitations
tmplist = [(int(x.getPresentation(False)[lbb:len(x.getPresentation(False))+lba]), x) for x in refs]
ValueError: invalid literal for int() with base 10: 'Davies2011' 

Seems to have been reported on the web http://sourceforge.net/projects/bibus-biblio/forums/forum/380178/topic/4740963 and a patch has been produced http://sourceforge.net/tracker/?func=detail&aid=3323127&group_id=110943&atid=657834 the latest version in the fedora 17 and rawhide repositories appears however to be same version.   

Patching with the patch appears to solve the issue I was having.  

Version-Release number of selected component (if applicable):

1.5.1

How reproducible:

Occurred repeatedly until I patched the relevant file, looking at the code it appeared to try to cast a list of references (strings) to integers. Possibly just a question of which of the two function parameters was being cast. 

Steps to Reproduce:
1.  Install LibreOffice and Bibus
2.  Link Bibus to LibreOffice
2.  Create a document in LibreOffice with a number of references inserted in Bibus
3. Attempt to Finalize the citations (this should replace the temporary markers in the document with formatted citations.)
  
Actual results:

Crash >

Traceback (most recent call last):
File "/usr/share/bibus/BibFrame.py", line 1632, in onMenuOOoFinalize
self.doc.finalize()
File "/usr/share/bibus/OOo.py", line 96, in finalize
bibOOoPlus.finalize(self,msg.Update)
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 105, in finalize
bibOOoBase.finalize(self,messages = messages, cit_sort=cit_sort,cit_fuse=cit_fuse,cit_range=cit_range,cit_separator=cit_separator,cit_order=cit_order,cit_asc=cit_asc)
File "/usr/share/bibus/bibOOo/bibOOoBase.py", line 792, in finalize
self.freezeCitations(messages = messages,**kwds)
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 89, in freezeCitations
self.__author_date(messages) # new author-date format
File "/usr/share/bibus/bibOOo/bibOOoPlus.py", line 371, in __author_date
refs=self.getCitations(order='document')# refs in the text order
File "/usr/share/bibus/bibOOo/bibOOoBase.py", line 347, in getCitations
tmplist = [(int(x.getPresentation(False)[lbb:len(x.getPresentation(False))+lba]), x) for x in refs]
ValueError: invalid literal for int() with base 10: 'Davies2011'


Expected results:

Opens a new document with the same text and all references exchanged for correctly formatted citations. 

Additional info:

I have fixed my version with the patch (see link above) would be good to have this patched in future versions.

Comment 1 Fedora End Of Life 2013-07-04 03:20:41 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-08-01 10:48:07 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.